Skip to content
Start here

Get DNS queries by matching answer time series

Deprecated
client.Radar.DNS.TimeseriesGroups.MatchingAnswer(ctx, query) (*DNSTimeseriesGroupMatchingAnswerResponse, error)
GET/radar/dns/timeseries_groups/matching_answer

Retrieves the distribution of DNS queries by matching answers over time.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
User Details WriteUser Details Read
ParametersExpand Collapse
query DNSTimeseriesGroupMatchingAnswerParams
AggInterval param.Field[DNSTimeseriesGroupMatchingAnswerParamsAggInterval]optional

Aggregation interval of the results (e.g., in 15 minutes or 1 hour intervals). Refer to Aggregation intervals.

const DNSTimeseriesGroupMatchingAnswerParamsAggInterval15m DNSTimeseriesGroupMatchingAnswerParamsAggInterval = "15m"
const DNSTimeseriesGroupMatchingAnswerParamsAggInterval1h DNSTimeseriesGroupMatchingAnswerParamsAggInterval = "1h"
const DNSTimeseriesGroupMatchingAnswerParamsAggInterval1d DNSTimeseriesGroupMatchingAnswerParamsAggInterval = "1d"
const DNSTimeseriesGroupMatchingAnswerParamsAggInterval1w DNSTimeseriesGroupMatchingAnswerParamsAggInterval = "1w"
ASN param.Field[[]string]optional

Filters results by Autonomous System. Specify one or more Autonomous System Numbers (ASNs) as a comma-separated list. Prefix with - to exclude ASNs from results. For example, -174, 3356 excludes results from AS174, but includes results from AS3356.

Continent param.Field[[]string]optional

Filters results by continent. Specify a comma-separated list of alpha-2 codes. Prefix with - to exclude continents from results. For example, -EU,NA excludes results from EU, but includes results from NA.

DateEnd param.Field[[]Time]optional

End of the date range (inclusive).

DateRange param.Field[[]string]optional

Filters results by date range. For example, use 7d and 7dcontrol to compare this week with the previous week. Use this parameter or set specific start and end dates (dateStart and dateEnd parameters).

DateStart param.Field[[]Time]optional

Start of the date range.

Format in which results will be returned.

const DNSTimeseriesGroupMatchingAnswerParamsFormatJson DNSTimeseriesGroupMatchingAnswerParamsFormat = "JSON"
const DNSTimeseriesGroupMatchingAnswerParamsFormatCsv DNSTimeseriesGroupMatchingAnswerParamsFormat = "CSV"
Location param.Field[[]string]optional

Filters results by location. Specify a comma-separated list of alpha-2 codes. Prefix with - to exclude locations from results. For example, -US,PT excludes results from the US, but includes results from PT.

Name param.Field[[]string]optional

Array of names used to label the series in the response.

Nodata param.Field[[]bool]optional

Specifies whether the response includes empty DNS responses (NODATA).

Protocol param.Field[[]DNSTimeseriesGroupMatchingAnswerParamsProtocol]optional

Filters results by DNS transport protocol.

const DNSTimeseriesGroupMatchingAnswerParamsProtocolUdp DNSTimeseriesGroupMatchingAnswerParamsProtocol = "UDP"
const DNSTimeseriesGroupMatchingAnswerParamsProtocolTCP DNSTimeseriesGroupMatchingAnswerParamsProtocol = "TCP"
const DNSTimeseriesGroupMatchingAnswerParamsProtocolHTTPS DNSTimeseriesGroupMatchingAnswerParamsProtocol = "HTTPS"
const DNSTimeseriesGroupMatchingAnswerParamsProtocolTLS DNSTimeseriesGroupMatchingAnswerParamsProtocol = "TLS"
QueryType param.Field[[]DNSTimeseriesGroupMatchingAnswerParamsQueryType]optional

Filters results by DNS query type.

const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeA DNSTimeseriesGroupMatchingAnswerParamsQueryType = "A"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeAAAA DNSTimeseriesGroupMatchingAnswerParamsQueryType = "AAAA"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeA6 DNSTimeseriesGroupMatchingAnswerParamsQueryType = "A6"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeAfsdb DNSTimeseriesGroupMatchingAnswerParamsQueryType = "AFSDB"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeAny DNSTimeseriesGroupMatchingAnswerParamsQueryType = "ANY"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeApl DNSTimeseriesGroupMatchingAnswerParamsQueryType = "APL"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeAtma DNSTimeseriesGroupMatchingAnswerParamsQueryType = "ATMA"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeAXFR DNSTimeseriesGroupMatchingAnswerParamsQueryType = "AXFR"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeCAA DNSTimeseriesGroupMatchingAnswerParamsQueryType = "CAA"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeCdnskey DNSTimeseriesGroupMatchingAnswerParamsQueryType = "CDNSKEY"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeCds DNSTimeseriesGroupMatchingAnswerParamsQueryType = "CDS"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeCERT DNSTimeseriesGroupMatchingAnswerParamsQueryType = "CERT"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeCNAME DNSTimeseriesGroupMatchingAnswerParamsQueryType = "CNAME"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeCsync DNSTimeseriesGroupMatchingAnswerParamsQueryType = "CSYNC"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeDhcid DNSTimeseriesGroupMatchingAnswerParamsQueryType = "DHCID"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeDlv DNSTimeseriesGroupMatchingAnswerParamsQueryType = "DLV"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeDname DNSTimeseriesGroupMatchingAnswerParamsQueryType = "DNAME"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeDNSKEY DNSTimeseriesGroupMatchingAnswerParamsQueryType = "DNSKEY"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeDoa DNSTimeseriesGroupMatchingAnswerParamsQueryType = "DOA"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeDS DNSTimeseriesGroupMatchingAnswerParamsQueryType = "DS"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeEid DNSTimeseriesGroupMatchingAnswerParamsQueryType = "EID"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeEui48 DNSTimeseriesGroupMatchingAnswerParamsQueryType = "EUI48"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeEui64 DNSTimeseriesGroupMatchingAnswerParamsQueryType = "EUI64"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeGpos DNSTimeseriesGroupMatchingAnswerParamsQueryType = "GPOS"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeGid DNSTimeseriesGroupMatchingAnswerParamsQueryType = "GID"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeHinfo DNSTimeseriesGroupMatchingAnswerParamsQueryType = "HINFO"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeHip DNSTimeseriesGroupMatchingAnswerParamsQueryType = "HIP"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeHTTPS DNSTimeseriesGroupMatchingAnswerParamsQueryType = "HTTPS"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeIpseckey DNSTimeseriesGroupMatchingAnswerParamsQueryType = "IPSECKEY"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeIsdn DNSTimeseriesGroupMatchingAnswerParamsQueryType = "ISDN"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeIxfr DNSTimeseriesGroupMatchingAnswerParamsQueryType = "IXFR"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeKey DNSTimeseriesGroupMatchingAnswerParamsQueryType = "KEY"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeKx DNSTimeseriesGroupMatchingAnswerParamsQueryType = "KX"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeL32 DNSTimeseriesGroupMatchingAnswerParamsQueryType = "L32"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeL64 DNSTimeseriesGroupMatchingAnswerParamsQueryType = "L64"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeLOC DNSTimeseriesGroupMatchingAnswerParamsQueryType = "LOC"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeLp DNSTimeseriesGroupMatchingAnswerParamsQueryType = "LP"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeMaila DNSTimeseriesGroupMatchingAnswerParamsQueryType = "MAILA"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeMailb DNSTimeseriesGroupMatchingAnswerParamsQueryType = "MAILB"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeMB DNSTimeseriesGroupMatchingAnswerParamsQueryType = "MB"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeMd DNSTimeseriesGroupMatchingAnswerParamsQueryType = "MD"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeMf DNSTimeseriesGroupMatchingAnswerParamsQueryType = "MF"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeMg DNSTimeseriesGroupMatchingAnswerParamsQueryType = "MG"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeMinfo DNSTimeseriesGroupMatchingAnswerParamsQueryType = "MINFO"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeMr DNSTimeseriesGroupMatchingAnswerParamsQueryType = "MR"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeMX DNSTimeseriesGroupMatchingAnswerParamsQueryType = "MX"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeNAPTR DNSTimeseriesGroupMatchingAnswerParamsQueryType = "NAPTR"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeNb DNSTimeseriesGroupMatchingAnswerParamsQueryType = "NB"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeNbstat DNSTimeseriesGroupMatchingAnswerParamsQueryType = "NBSTAT"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeNid DNSTimeseriesGroupMatchingAnswerParamsQueryType = "NID"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeNimloc DNSTimeseriesGroupMatchingAnswerParamsQueryType = "NIMLOC"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeNinfo DNSTimeseriesGroupMatchingAnswerParamsQueryType = "NINFO"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeNS DNSTimeseriesGroupMatchingAnswerParamsQueryType = "NS"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeNsap DNSTimeseriesGroupMatchingAnswerParamsQueryType = "NSAP"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeNsec DNSTimeseriesGroupMatchingAnswerParamsQueryType = "NSEC"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeNsec3 DNSTimeseriesGroupMatchingAnswerParamsQueryType = "NSEC3"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeNsec3Param DNSTimeseriesGroupMatchingAnswerParamsQueryType = "NSEC3PARAM"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeNull DNSTimeseriesGroupMatchingAnswerParamsQueryType = "NULL"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeNxt DNSTimeseriesGroupMatchingAnswerParamsQueryType = "NXT"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeOpenpgpkey DNSTimeseriesGroupMatchingAnswerParamsQueryType = "OPENPGPKEY"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeOpt DNSTimeseriesGroupMatchingAnswerParamsQueryType = "OPT"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypePTR DNSTimeseriesGroupMatchingAnswerParamsQueryType = "PTR"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypePx DNSTimeseriesGroupMatchingAnswerParamsQueryType = "PX"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeRkey DNSTimeseriesGroupMatchingAnswerParamsQueryType = "RKEY"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeRp DNSTimeseriesGroupMatchingAnswerParamsQueryType = "RP"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeRrsig DNSTimeseriesGroupMatchingAnswerParamsQueryType = "RRSIG"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeRt DNSTimeseriesGroupMatchingAnswerParamsQueryType = "RT"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeSig DNSTimeseriesGroupMatchingAnswerParamsQueryType = "SIG"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeSink DNSTimeseriesGroupMatchingAnswerParamsQueryType = "SINK"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeSMIMEA DNSTimeseriesGroupMatchingAnswerParamsQueryType = "SMIMEA"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeSOA DNSTimeseriesGroupMatchingAnswerParamsQueryType = "SOA"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeSPF DNSTimeseriesGroupMatchingAnswerParamsQueryType = "SPF"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeSRV DNSTimeseriesGroupMatchingAnswerParamsQueryType = "SRV"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeSSHFP DNSTimeseriesGroupMatchingAnswerParamsQueryType = "SSHFP"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeSVCB DNSTimeseriesGroupMatchingAnswerParamsQueryType = "SVCB"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeTa DNSTimeseriesGroupMatchingAnswerParamsQueryType = "TA"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeTalink DNSTimeseriesGroupMatchingAnswerParamsQueryType = "TALINK"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeTkey DNSTimeseriesGroupMatchingAnswerParamsQueryType = "TKEY"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeTLSA DNSTimeseriesGroupMatchingAnswerParamsQueryType = "TLSA"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeTSIG DNSTimeseriesGroupMatchingAnswerParamsQueryType = "TSIG"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeTXT DNSTimeseriesGroupMatchingAnswerParamsQueryType = "TXT"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeUinfo DNSTimeseriesGroupMatchingAnswerParamsQueryType = "UINFO"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeUID DNSTimeseriesGroupMatchingAnswerParamsQueryType = "UID"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeUnspec DNSTimeseriesGroupMatchingAnswerParamsQueryType = "UNSPEC"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeURI DNSTimeseriesGroupMatchingAnswerParamsQueryType = "URI"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeWks DNSTimeseriesGroupMatchingAnswerParamsQueryType = "WKS"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeX25 DNSTimeseriesGroupMatchingAnswerParamsQueryType = "X25"
const DNSTimeseriesGroupMatchingAnswerParamsQueryTypeZonemd DNSTimeseriesGroupMatchingAnswerParamsQueryType = "ZONEMD"
ResponseCode param.Field[[]DNSTimeseriesGroupMatchingAnswerParamsResponseCode]optional

Filters results by DNS response code.

const DNSTimeseriesGroupMatchingAnswerParamsResponseCodeNoerror DNSTimeseriesGroupMatchingAnswerParamsResponseCode = "NOERROR"
const DNSTimeseriesGroupMatchingAnswerParamsResponseCodeFormerr DNSTimeseriesGroupMatchingAnswerParamsResponseCode = "FORMERR"
const DNSTimeseriesGroupMatchingAnswerParamsResponseCodeServfail DNSTimeseriesGroupMatchingAnswerParamsResponseCode = "SERVFAIL"
const DNSTimeseriesGroupMatchingAnswerParamsResponseCodeNxdomain DNSTimeseriesGroupMatchingAnswerParamsResponseCode = "NXDOMAIN"
const DNSTimeseriesGroupMatchingAnswerParamsResponseCodeNotimp DNSTimeseriesGroupMatchingAnswerParamsResponseCode = "NOTIMP"
const DNSTimeseriesGroupMatchingAnswerParamsResponseCodeRefused DNSTimeseriesGroupMatchingAnswerParamsResponseCode = "REFUSED"
const DNSTimeseriesGroupMatchingAnswerParamsResponseCodeYxdomain DNSTimeseriesGroupMatchingAnswerParamsResponseCode = "YXDOMAIN"
const DNSTimeseriesGroupMatchingAnswerParamsResponseCodeYxrrset DNSTimeseriesGroupMatchingAnswerParamsResponseCode = "YXRRSET"
const DNSTimeseriesGroupMatchingAnswerParamsResponseCodeNxrrset DNSTimeseriesGroupMatchingAnswerParamsResponseCode = "NXRRSET"
const DNSTimeseriesGroupMatchingAnswerParamsResponseCodeNotauth DNSTimeseriesGroupMatchingAnswerParamsResponseCode = "NOTAUTH"
const DNSTimeseriesGroupMatchingAnswerParamsResponseCodeNotzone DNSTimeseriesGroupMatchingAnswerParamsResponseCode = "NOTZONE"
const DNSTimeseriesGroupMatchingAnswerParamsResponseCodeBadsig DNSTimeseriesGroupMatchingAnswerParamsResponseCode = "BADSIG"
const DNSTimeseriesGroupMatchingAnswerParamsResponseCodeBadkey DNSTimeseriesGroupMatchingAnswerParamsResponseCode = "BADKEY"
const DNSTimeseriesGroupMatchingAnswerParamsResponseCodeBadtime DNSTimeseriesGroupMatchingAnswerParamsResponseCode = "BADTIME"
const DNSTimeseriesGroupMatchingAnswerParamsResponseCodeBadmode DNSTimeseriesGroupMatchingAnswerParamsResponseCode = "BADMODE"
const DNSTimeseriesGroupMatchingAnswerParamsResponseCodeBadname DNSTimeseriesGroupMatchingAnswerParamsResponseCode = "BADNAME"
const DNSTimeseriesGroupMatchingAnswerParamsResponseCodeBadalg DNSTimeseriesGroupMatchingAnswerParamsResponseCode = "BADALG"
const DNSTimeseriesGroupMatchingAnswerParamsResponseCodeBadtrunc DNSTimeseriesGroupMatchingAnswerParamsResponseCode = "BADTRUNC"
const DNSTimeseriesGroupMatchingAnswerParamsResponseCodeBadcookie DNSTimeseriesGroupMatchingAnswerParamsResponseCode = "BADCOOKIE"
TLD param.Field[[]string]optional

Filters results by top-level domain.

ReturnsExpand Collapse
type DNSTimeseriesGroupMatchingAnswerResponse struct{…}
Meta DNSTimeseriesGroupMatchingAnswerResponseMeta

Metadata for the results.

AggInterval DNSTimeseriesGroupMatchingAnswerResponseMetaAggInterval

Aggregation interval of the results (e.g., in 15 minutes or 1 hour intervals). Refer to Aggregation intervals.

One of the following:
const DNSTimeseriesGroupMatchingAnswerResponseMetaAggIntervalFifteenMinutes DNSTimeseriesGroupMatchingAnswerResponseMetaAggInterval = "FIFTEEN_MINUTES"
const DNSTimeseriesGroupMatchingAnswerResponseMetaAggIntervalOneHour DNSTimeseriesGroupMatchingAnswerResponseMetaAggInterval = "ONE_HOUR"
const DNSTimeseriesGroupMatchingAnswerResponseMetaAggIntervalOneDay DNSTimeseriesGroupMatchingAnswerResponseMetaAggInterval = "ONE_DAY"
const DNSTimeseriesGroupMatchingAnswerResponseMetaAggIntervalOneWeek DNSTimeseriesGroupMatchingAnswerResponseMetaAggInterval = "ONE_WEEK"
const DNSTimeseriesGroupMatchingAnswerResponseMetaAggIntervalOneMonth DNSTimeseriesGroupMatchingAnswerResponseMetaAggInterval = "ONE_MONTH"
ConfidenceInfo DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfo
Annotations []DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotation
DataSource DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSource

Data source for annotations.

One of the following:
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSourceAll DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSource = "ALL"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSourceAIBots DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSource = "AI_BOTS"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSourceAIGateway DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSource = "AI_GATEWAY"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSourceBGP DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSource = "BGP"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSourceBots DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSource = "BOTS"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSourceConnectionAnomaly DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSource = "CONNECTION_ANOMALY"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSourceCT DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSource = "CT"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSourceDNS DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSource = "DNS"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSourceDNSMagnitude DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSource = "DNS_MAGNITUDE"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSourceDNSAS112 DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSource = "DNS_AS112"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSourceDos DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSource = "DOS"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSourceEmailRouting DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSource = "EMAIL_ROUTING"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSourceEmailSecurity DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSource = "EMAIL_SECURITY"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSourceFw DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSource = "FW"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSourceFwPg DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSource = "FW_PG"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSourceHTTP DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSourceHTTPControl DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP_CONTROL"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSourceHTTPCrawlerReferer DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP_CRAWLER_REFERER"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSourceHTTPOrigins DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSource = "HTTP_ORIGINS"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSourceIQI DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSource = "IQI"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSourceLeakedCredentials DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSource = "LEAKED_CREDENTIALS"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSourceNet DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSource = "NET"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSourceRobotsTXT DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSource = "ROBOTS_TXT"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSourceSpeed DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSource = "SPEED"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSourceWorkersAI DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsDataSource = "WORKERS_AI"
Description string
EndDate Time
formatdate-time
EventType DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsEventType

Event type for annotations.

One of the following:
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsEventTypeEvent DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsEventType = "EVENT"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsEventTypeGeneral DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsEventType = "GENERAL"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsEventTypeOutage DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsEventType = "OUTAGE"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsEventTypePartialProjection DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsEventType = "PARTIAL_PROJECTION"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsEventTypePipeline DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsEventType = "PIPELINE"
const DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsEventTypeTrafficAnomaly DNSTimeseriesGroupMatchingAnswerResponseMetaConfidenceInfoAnnotationsEventType = "TRAFFIC_ANOMALY"
IsInstantaneous bool

Whether event is a single point in time or a time range.

LinkedURL string
formaturi
StartDate Time
formatdate-time
Level int64

Provides an indication of how much confidence Cloudflare has in the data.

DateRange []DNSTimeseriesGroupMatchingAnswerResponseMetaDateRange
EndTime Time

Adjusted end of date range.

formatdate-time
StartTime Time

Adjusted start of date range.

formatdate-time
LastUpdated Time

Timestamp of the last dataset update.

formatdate-time
Normalization DNSTimeseriesGroupMatchingAnswerResponseMetaNormalization

Normalization method applied to the results. Refer to Normalization methods.

One of the following:
const DNSTimeseriesGroupMatchingAnswerResponseMetaNormalizationPercentage DNSTimeseriesGroupMatchingAnswerResponseMetaNormalization = "PERCENTAGE"
const DNSTimeseriesGroupMatchingAnswerResponseMetaNormalizationMin0Max DNSTimeseriesGroupMatchingAnswerResponseMetaNormalization = "MIN0_MAX"
const DNSTimeseriesGroupMatchingAnswerResponseMetaNormalizationMinMax DNSTimeseriesGroupMatchingAnswerResponseMetaNormalization = "MIN_MAX"
const DNSTimeseriesGroupMatchingAnswerResponseMetaNormalizationRawValues DNSTimeseriesGroupMatchingAnswerResponseMetaNormalization = "RAW_VALUES"
const DNSTimeseriesGroupMatchingAnswerResponseMetaNormalizationPercentageChange DNSTimeseriesGroupMatchingAnswerResponseMetaNormalization = "PERCENTAGE_CHANGE"
const DNSTimeseriesGroupMatchingAnswerResponseMetaNormalizationRollingAverage DNSTimeseriesGroupMatchingAnswerResponseMetaNormalization = "ROLLING_AVERAGE"
const DNSTimeseriesGroupMatchingAnswerResponseMetaNormalizationOverlappedPercentage DNSTimeseriesGroupMatchingAnswerResponseMetaNormalization = "OVERLAPPED_PERCENTAGE"
const DNSTimeseriesGroupMatchingAnswerResponseMetaNormalizationRatio DNSTimeseriesGroupMatchingAnswerResponseMetaNormalization = "RATIO"
Units []DNSTimeseriesGroupMatchingAnswerResponseMetaUnit

Measurement units for the results.

Name string
Value string
Serie0 DNSTimeseriesGroupMatchingAnswerResponseSerie0
Negative []string
Positive []string

Get DNS queries by matching answer time series

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/radar"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  response, err := client.Radar.DNS.TimeseriesGroups.MatchingAnswer(context.TODO(), radar.DNSTimeseriesGroupMatchingAnswerParams{

  })
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", response.Meta)
}
{
  "result": {
    "meta": {
      "aggInterval": "FIFTEEN_MINUTES",
      "confidenceInfo": {
        "annotations": [
          {
            "dataSource": "ALL",
            "description": "Cable cut in Tonga",
            "endDate": "2019-12-27T18:11:19.117Z",
            "eventType": "EVENT",
            "isInstantaneous": true,
            "linkedUrl": "https://example.com",
            "startDate": "2019-12-27T18:11:19.117Z"
          }
        ],
        "level": 0
      },
      "dateRange": [
        {
          "endTime": "2022-09-17T10:22:57.555Z",
          "startTime": "2022-09-16T10:22:57.555Z"
        }
      ],
      "lastUpdated": "2019-12-27T18:11:19.117Z",
      "normalization": "PERCENTAGE",
      "units": [
        {
          "name": "*",
          "value": "requests"
        }
      ]
    },
    "serie_0": {
      "NEGATIVE": [
        "10"
      ],
      "POSITIVE": [
        "10"
      ]
    }
  },
  "success": true
}
Returns Examples
{
  "result": {
    "meta": {
      "aggInterval": "FIFTEEN_MINUTES",
      "confidenceInfo": {
        "annotations": [
          {
            "dataSource": "ALL",
            "description": "Cable cut in Tonga",
            "endDate": "2019-12-27T18:11:19.117Z",
            "eventType": "EVENT",
            "isInstantaneous": true,
            "linkedUrl": "https://example.com",
            "startDate": "2019-12-27T18:11:19.117Z"
          }
        ],
        "level": 0
      },
      "dateRange": [
        {
          "endTime": "2022-09-17T10:22:57.555Z",
          "startTime": "2022-09-16T10:22:57.555Z"
        }
      ],
      "lastUpdated": "2019-12-27T18:11:19.117Z",
      "normalization": "PERCENTAGE",
      "units": [
        {
          "name": "*",
          "value": "requests"
        }
      ]
    },
    "serie_0": {
      "NEGATIVE": [
        "10"
      ],
      "POSITIVE": [
        "10"
      ]
    }
  },
  "success": true
}